com.fasterxml.jackson.databind.cfg

## Enum EnumFeature

- java.lang.Object
- - java.lang.Enum<EnumFeature>
  - - com.fasterxml.jackson.databind.cfg.EnumFeature

All Implemented Interfaces:
  JacksonFeature, DatatypeFeature, Serializable, Comparable<EnumFeature>

    public enum EnumFeature
    extends Enum<EnumFeature>
    implements DatatypeFeature

New Datatype-specific configuration options related to handling of `Enum` types.

Since:
  2.14

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`BOGUS_FEATURE`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`boolean` `enabledByDefault()`
`boolean` `enabledIn(int flags)`
`int` `featureIndex()` Internal index used for efficient storage and index; no user serviceable contents inside!
`int` `getMask()`
`static EnumFeature` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static EnumFeature[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### BOGUS_FEATURE

    public static final EnumFeature BOGUS_FEATURE

### Method Detail

#### values

    public static EnumFeature[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (EnumFeature c : EnumFeature.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static EnumFeature valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### enabledByDefault

    public boolean enabledByDefault()

Specified by:
  `enabledByDefault` in interface `JacksonFeature`

#### enabledIn

    public boolean enabledIn(int flags)

Specified by:
  `enabledIn` in interface `JacksonFeature`

#### getMask

    public int getMask()

Specified by:
  `getMask` in interface `JacksonFeature`

#### featureIndex

    public int featureIndex()

Description copied from interface: `DatatypeFeature`
Internal index used for efficient storage and index; no user serviceable contents inside!

Specified by:
  `featureIndex` in interface `DatatypeFeature`